Create a Field Option for a Custom Field
Create a field option for a custom field.
Custom Fields (CF) are a feature which will allow customers to extend Incidents with their own custom data, to provide additional context and support features such as customized filtering, search and analytics. Custom Fields can be applied to different incident types.
Scoped OAuth requires: custom_fields.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID or name of the Incident Type.
The ID of the field.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Update a Field PUT
<!-- theme: warning --> > ### Deprecated > This endpoint is deprecated and only works for fields on the Base Incident Type. \ > For more flexibility, we recommend using the Incident Types endpoint: \ > [/incidents/types/{type_id_or_name}/custom_fields/{field_id}](openapiv3.json/paths/~1incidents~1types~1{type_id_or_name}~1custom_fields~1{field_id}/put) Update a Custom Field on the Base Incident Type. Scoped OAuth requires: `custom_fields.write`
Create a Field Option for a Custom Field POST
Create a field option for a custom field. Custom Fields (CF) are a feature which will allow customers to extend Incidents with their own custom data, to provide additional context and support features such as customized filtering, search and analytics. Custom Fields can be applied to different incident types. Scoped OAuth requires: `custom_fields.write`